Bug 41160 - sending/receiving a file forces disconnect
Summary: sending/receiving a file forces disconnect
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-23 15:22 UTC by Daniele E. Domenichelli
Modified: 2011-09-26 02:28 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2011-09-23 15:22:54 UTC
Reporting upstream this bug: https://bugs.kde.org/show_bug.cgi?id=282425

----

I get some errors and get disconnected when i try to send a file to someone or
someone tries to send me a file.

Reproducible: Always

Steps to Reproduce:
Login to the gtalk or kdetalk servers from the telepathy contact list program.
Try to send a file to some contact or ask someone to send me a file.

Actual Results:  
I get disconnected and the error messages:

"An unexpected error has occurred with d.pashov@gmail.com:
'org.freedesktop.DBus.Error.NoReply'"

and

"org.freedesktop.Telepathy.Qt4.ErrorHandlingError: Name owner lost (service
crashed?)"

appear.

Expected Results:  
Obviously i expect the file to be sent/received without problems.

The following message is rather nonsensical when the expected result is
obvious.
"Expected results were not provided. In order to verify that the bug is fixed
or that the feature is implemented as requested, please provide information on
what the software should have done instead. This will make it easier to ensure
that your report is fixed to your satisfaction. "

I have opensuse 11.4 with the 'factory' kde currently at 4.7.1 and the
telepathy stuff is from:
http://download.opensuse.org/repositories/home:/ealin:/kde-telepathy/KDE_Distro_Factory_openSUSE_11.4/

----

just to summarise
source target result note
g+      g+     OK
g+      gmail  Fail
g+      ktp    Fail (target goes offline)
ktp     ktp    fail (idem)
ktp     g+     OK

----

target is behind a nat

----

tried it with empathy on target... again failure
Comment 1 Olli Salli 2011-09-24 01:46:47 UTC
Clearly looks like a Gabble crash judging from the errors tp-qt4 reports. Awaiting gabble logs.
Comment 2 Daniele E. Domenichelli 2011-09-25 07:02:08 UTC
The crash is on this assert:

gabble:ERROR:ft-channel.c:366:gabble_file_transfer_channel_set_property: assertion failed: (g_value_get_uint (value) == 0 || g_value_get_uint (value) == TP_HANDLE_TYPE_CONTACT)

These are the logs sent by the user on kde-telepathy mailing list:

------  Sender

(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text:
Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
is text/plain
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
using its text
(telepathy-gabble:12720): tp-glib/im-DEBUG:
tp_message_mixin_acknowledge_pending_messages_async: acknowledging
message id 1
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text:
Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
is text/plain
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
using its text
(telepathy-gabble:12720): tp-glib/im-DEBUG:
tp_message_mixin_acknowledge_pending_messages_async: acknowledging
message id 2
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text:
Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
is text/plain
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
using its text
(telepathy-gabble:12720): tp-glib/im-DEBUG:
tp_message_mixin_acknowledge_pending_messages_async: acknowledging
message id 3
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text:
Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
is text/plain
(telepathy-gabble:12720): tp-glib/misc-DEBUG: tp_message_to_text: ...
using its text
(telepathy-gabble:12720): tp-glib/connection-DEBUG:
channel_request_new: New channel request at 0x7dd4a0:
ctype=org.freedesktop.Telepathy.Channel.Type.FileTransfer htype=1
handle=3 suppress=1
(telepathy-gabble:12720): gabble-DEBUG:
gabble_ft_manager_handle_request (ft-manager.c:452): File transfer
request
(telepathy-gabble:12720): gabble-DEBUG:
gabble_ft_manager_handle_request (ft-manager.c:554): Requested
outgoing channel with contact: d...@gmail.com
(telepathy-gabble:12720): gabble-DEBUG: gabble_signal_connect_weak
(util.c:966): connecting to 0x79d360:presences-updated with context
0x1396380
(telepathy-gabble:12720): gabble-DEBUG:
gabble_file_transfer_channel_constructor (ft-channel.c:550): New FT
channel created:
/org/freedesktop/Telepathy/Connection/gabble/jabber/alinm_2eelena_40gmail_2ecom_2f8f01a001/FileTransferChannel/0x7a9180
(contact: d...@gmail.com, initiator: a...@gmail.com, file:
- Hide quoted text -
"marx2.pdf", size: 241655)
(telepathy-gabble:12720): gabble-DEBUG: offer_gtalk_file_transfer
(ft-channel.c:1444): Offering Gtalk file transfer to
d...@gmail.com/79468821
(telepathy-gabble:12720): gabble-DEBUG: gtalk_file_collection_init
(gtalk-file-collection.c:214): GTalk file collection init called
(telepathy-gabble:12720): gabble-DEBUG: gabble_jingle_session_init
(jingle-session.c:191): Initializing the jingle session 0x1392630
(telepathy-gabble:12720): gabble-DEBUG: create_session
(jingle-factory.c:889): new session (d...@gmail.com/79468821,
1437640596) @ 0x1392630
(telepathy-gabble:12720): gabble-DEBUG: create_content
(jingle-session.c:806): session creating new content name share, type
0, conn 0x7c8af0, jf 0x82f020
(telepathy-gabble:12720): gabble-DEBUG: gabble_jingle_content_init
(jingle-content.c:115): 0x7a5a70
(telepathy-gabble:12720): gabble-DEBUG: gabble_jingle_share_init
(jingle-share.c:156): jingle share init called
(telepathy-gabble:12720): gabble-DEBUG: create_content
(jingle-session.c:845): inserting content share into
initiator_contents
(telepathy-gabble:12720): gabble-DEBUG:
_gabble_jingle_content_set_media_ready (jingle-content.c:1088): media
ready on content: share created_by_us: 1
(telepathy-gabble:12720): gabble-DEBUG: content_ready_cb
(jingle-session.c:2289): called
(telepathy-gabble:12720): gabble-DEBUG: try_session_initiate_or_accept
(jingle-session.c:1880): Trying initiate or accept
(telepathy-gabble:12720): gabble-DEBUG: try_session_initiate_or_accept
(jingle-session.c:1896): session not locally accepted yet, not
initiating
(telepathy-gabble:12720): gabble-DEBUG: gabble_signal_connect_weak
(util.c:966): connecting to 0x1392630:notify::state with context
0x1336940
(telepathy-gabble:12720): gabble-DEBUG: gabble_signal_connect_weak
(util.c:966): connecting to 0x1392630:terminated with context 0x787560
(telepathy-gabble:12720): gabble-DEBUG: gabble_signal_connect_weak
(util.c:966): connecting to 0x7a5a70:new-share-channel with context
0x13e6ce0
(telepathy-gabble:12720): gabble-DEBUG: gabble_signal_connect_weak
(util.c:966): connecting to 0x7a5a70:completed with context 0x13948c0
(telepathy-gabble:12720): gabble-DEBUG: try_session_initiate_or_accept
(jingle-session.c:1880): Trying initiate or accept
(telepathy-gabble:12720): gabble-DEBUG: try_session_initiate_or_accept
(jingle-session.c:1931): Contents are ready: yes
(telepathy-gabble:12720): gabble-DEBUG: produce_description
(jingle-share.c:461): produce description called
(telepathy-gabble:12720): gabble-DEBUG: set_state
(jingle-session.c:2014): Setting state of JingleSession: 0x1392630
(priv = 0x1392660) from 0 to 1
(telepathy-gabble:12720): gabble-DEBUG:
jingle_session_state_changed_cb (gtalk-file-collection.c:422): called
(telepathy-gabble:12720): gabble-DEBUG:
gabble_file_transfer_channel_gtalk_file_collection_state_changed
(ft-channel.c:1381): gtalk ft state changed to 0
(telepathy-gabble:12720): gabble-DEBUG: gabble_signal_connect_weak
(util.c:966): connecting to 0x7a9180:closed with context 0x7bd160
(telepathy-gabble:12720): tp-glib/connection-DEBUG: satisfy_request:
completing queued request 0x7dd4a0 with success,
channel_type=org.freedesktop.Telepathy.Channel.Type.FileTransfer,
handle_type=1, handle=3, suppress_handler=1
(telepathy-gabble:12720): tp-glib/connection-DEBUG:
channel_request_free: Freeing channel request at 0x7dd4a0:
ctype=org.freedesktop.Telepathy.Channel.Type.FileTransfer htype=1
handle=3 suppress=1
(telepathy-gabble:12720): gabble-DEBUG:
gabble_presence_cache_do_update (presence-cache.c:1971):
d...@gmail.com (3) resource 79468821 prio 0 presence 0 message
- Hide quoted text -
"<null>"
(telepathy-gabble:12720): gabble-DEBUG: emit_capabilities_update
(presence-cache.c:1120): Emitting caps update for handle 3
 --removed--
 Feature: http://www.google.com/xmpp/protocol/session
 Feature: urn:xmpp:jingle:transports:raw-udp:1
 Feature: http://jabber.org/protocol/jingle
 Feature: urn:xmpp:jingle:1
 Feature: http://jabber.org/protocol/chatstates
 Feature: http://jabber.org/protocol/nick
 Feature: http://jabber.org/protocol/nick+notify
 Feature: http://jabber.org/protocol/si
 Feature: http://jabber.org/protocol/ibb
 Feature: http://telepathy.freedesktop.org/xmpp/tubes
 Feature: http://jabber.org/protocol/bytestreams
 Feature: jabber:iq:version
 Feature: http://jabber.org/protocol/si/profile/file-transfer
 Feature: http://google.com/xmpp/protocol/share/v1
 Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
 --end--
(telepathy-gabble:12720): tp-glib/presence-DEBUG:
tp_presence_mixin_emit_presence_update: called.
(telepathy-gabble:12720): tp-glib/presence-DEBUG:
construct_presence_hash: called.
(telepathy-gabble:12720): tp-glib/presence-DEBUG:
construct_simple_presence_hash: called.
(telepathy-gabble:12720): gabble-DEBUG:
connection_presences_updated_cb (ft-channel.c:466): peer disconnected.
FileTransfer is cancelled
(telepathy-gabble:12720): gabble-DEBUG:
gabble_presence_cache_maybe_remove (presence-cache.c:1927): discarding
cached presence for unavailable jid d...@gmail.com
(telepathy-gabble:12720): tp-glib/connection-DEBUG:
tp_presence_mixin_get_contacts_dbus_property: called.
Comment 3 Daniele E. Domenichelli 2011-09-25 07:02:43 UTC
------  Receiver

13:18:58 xaoc:~ GABBLE_PERSIST=1 GABBLE_DEBUG=all /usr/lib/telepathy-gabble 
(process:29973): tp-glib/proxy-DEBUG: tp_proxy_dispose: 0x79d060
(process:29973): tp-glib/proxy-DEBUG: tp_proxy_invalidate: 0x79d060: Proxy unreferenced
(process:29973): tp-glib/proxy-DEBUG: tp_proxy_finalize: 0x79d060
(process:29973): gabble-DEBUG: gabble_plugin_loader_probe (plugin-loader.c:124): probing /usr/lib64/telepathy/gabble-0
** (process:29973): DEBUG: gabble_plugin_create: loaded
(process:29973): gabble-DEBUG: plugin_loader_try_to_load (plugin-loader.c:99): loaded 'Gateway registration plugin' version 0.12.0 (/usr/lib64/telepathy/gabble-0/gateways.so), implementing these sidecars: org.freedesktop.Telepathy.Gabble.Plugin.Gateways
(telepathy-gabble:29973): tp-glib-DEBUG: started version 0.12.0 (telepathy-glib version 0.15.5.1)

(telepathy-gabble:29973): tp-glib/params-DEBUG: tp_base_protocol_sanitize_parameters: using specified value for account: "d.pashov@gmail.com"
(telepathy-gabble:29973): tp-glib/params-DEBUG: tp_base_protocol_sanitize_parameters: using specified value for server: "talk.google.com"
(telepathy-gabble:29973): tp-glib/params-DEBUG: tp_base_protocol_sanitize_parameters: using specified value for fallback-socks5-proxies: ["<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\np, li { white-space: pre-wrap; }\n</style></head><body style=\" font-family:'Sans Serif'; font-size:9pt; font-weight:400; font-style:normal;\">\n<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"></p></body></html>"]
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_class_init (connection.c:915): Initializing (GabbleConnectionClass *)0x7c3450
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_class_init: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_init (connection.c:507): Initializing (GabbleConnection *)0x7d00f0
(telepathy-gabble:29973): gabble-DEBUG: gabble_capabilities_init (capabilities.c:233): 0x7d00f0
(telepathy-gabble:29973): gabble-DEBUG: gabble_roomlist_manager_constructed (roomlist-manager.c:210): 0x7956c0
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7d00f0:status-changed with context 0x7bbcc0
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7d00f0:status-changed with context 0x7bbd40
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_manager_constructed (server-tls-manager.c:347): Server TLS Manager constructed
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7d00f0:status-changed with context 0x7c3e20
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7d00f0:status-changed with context 0x7bc3a0
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_constructor (connection.c:381): Post-construction: (GabbleConnection *)0x7d00f0
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_init: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x795740:item-found with context 0x7c4100
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7d00f0:status-changed with context 0x7c4180
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_constructed (connection.c:490): defaulted resource to 79468821
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_base_connection_register: 0x7d00f0: bus name org.freedesktop.Telepathy.Connection.gabble.jabber.d_2epashov_40gmail_2ecom_2f79468821; object path /org/freedesktop/Telepathy/Connection/gabble/jabber/d_2epashov_40gmail_2ecom_2f79468821
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_get_simple_presence_dbus_property: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3170): enter
(telepathy-gabble:29973): gabble-DEBUG: gabble_private_tubes_factory_add_cap (private-tubes-factory.c:598): org.freedesktop.Telepathy.Client.Vinagre: adding capability http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.Vinagre media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3215): client org.freedesktop.Telepathy.Client.Vinagre contributes:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.telepathy_kde_approver media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.telepathy_kde_approver has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.CallUi media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.KDE.CallUi has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.Logger media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.Logger has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.FileTransfer media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_ft_manager_represent_client (ft-manager.c:845): client org.freedesktop.Telepathy.Client.KDE.FileTransfer supports file transfer
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3215): client org.freedesktop.Telepathy.Client.KDE.FileTransfer contributes:
  --begin--
  Feature: http://jabber.org/protocol/si/profile/file-transfer
  Feature: http://google.com/xmpp/protocol/share/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_private_tubes_factory_add_cap (private-tubes-factory.c:598): org.freedesktop.Telepathy.Client.Vino: adding capability http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.Vino media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3215): client org.freedesktop.Telepathy.Client.Vino contributes:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.TextUi media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.KDE.TextUi has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.AuthHandler media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.KDE.AuthHandler has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.Vinagre:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.KDE.FileTransfer:
  --begin--
  Feature: http://jabber.org/protocol/si/profile/file-transfer
  Feature: http://google.com/xmpp/protocol/share/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.Vino:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource 79468821 with serial 1
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource 79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:312): new serial 1, old 0, clearing caps
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource 79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2391): not emitting self-presence stanza: not connected yet
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_set_presence: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: check_for_status: Found status "available", checking if it's available...
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_manager_foreach_channel (server-tls-manager.c:391): Foreach channel
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3170): enter
(telepathy-gabble:29973): gabble-DEBUG: gabble_private_tubes_factory_add_cap (private-tubes-factory.c:598): org.freedesktop.Telepathy.Client.Vinagre: adding capability http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.Vinagre media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3215): client org.freedesktop.Telepathy.Client.Vinagre contributes:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.telepathy_kde_approver media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.telepathy_kde_approver has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.CallUi media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.KDE.CallUi has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.Logger media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.Logger has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.FileTransfer media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_ft_manager_represent_client (ft-manager.c:845): client org.freedesktop.Telepathy.Client.KDE.FileTransfer supports file transfer
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3215): client org.freedesktop.Telepathy.Client.KDE.FileTransfer contributes:
  --begin--
  Feature: http://jabber.org/protocol/si/profile/file-transfer
  Feature: http://google.com/xmpp/protocol/share/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_private_tubes_factory_add_cap (private-tubes-factory.c:598): org.freedesktop.Telepathy.Client.Vino: adding capability http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.Vino media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3215): client org.freedesktop.Telepathy.Client.Vino contributes:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.TextUi media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.KDE.TextUi has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_media_factory_add_caps (media-factory.c:1018): Client org.freedesktop.Telepathy.Client.KDE.AuthHandler media capabilities:
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_update_capabilities (connection.c:3206): client org.freedesktop.Telepathy.Client.KDE.AuthHandler has no interesting capabilities
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.Vinagre:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.KDE.FileTransfer:
  --begin--
  Feature: http://jabber.org/protocol/si/profile/file-transfer
  Feature: http://google.com/xmpp/protocol/share/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.Vino:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource 79468821 with serial 2
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource 79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:312): new serial 2, old 1, clearing caps
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource 79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2383): nothing to do
(telepathy-gabble:29973): gabble-DEBUG: _gabble_connection_connect (connection.c:2071): disabling SRV because "server" or "old-ssl" was specified or port was not 5222, will connect to talk.google.com
(telepathy-gabble:29973): gabble-DEBUG: _gabble_connection_connect (connection.c:2090): require-encryption is False; flipping ignore_ssl_errors to True
(telepathy-gabble:29973): gabble-DEBUG: _gabble_connection_connect (connection.c:2130): Start connecting
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_base_connection_change_status: was 4294967295, now 1, for reason 1
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_base_connection_change_status: emitting status-changed to 1, for reason 1
(telepathy-gabble:29973): gabble-DEBUG: connection_status_changed_cb (im-factory.c:428): adding callbacks
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x795740:item-found with context 0x7fa300
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x795740:done with context 0x7fa160
(telepathy-gabble:29973): gabble-DEBUG: connection_status_changed_cb (server-tls-manager.c:120): Connection status changed, now 1
(telepathy-gabble:29973): gabble-DEBUG: connection_status_changed_cb (muc-factory.c:943): adding callbacks
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_manager_verify_async (server-tls-manager.c:219): verify_async() called on the GabbleServerTLSManager.
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_channel_constructed (server-tls-channel.c:247): Server TLS channel constructed at /org/freedesktop/Telepathy/Connection/gabble/jabber/d_2epashov_40gmail_2ecom_2f79468821/ServerTLSChannel
(telepathy-gabble:29973): tp-glib/channel-DEBUG: tp_base_channel_close_dbus: called by :1.959
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_channel_close (server-tls-channel.c:344): Close() called on the TLS channel 0x79d2a0
(telepathy-gabble:29973): gabble-DEBUG: server_tls_channel_closed_cb (server-tls-manager.c:137): Server TLS channel closed.
(telepathy-gabble:29973): gabble-DEBUG: server_tls_channel_closed_cb (server-tls-manager.c:142): Channel closed, but unhandled, falling back...
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_channel_dispose (server-tls-channel.c:143): Dispose TLS channel
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_tls_channel_finalize (server-tls-channel.c:126): Finalize TLS channel
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_sasl_channel_start_auth_async (server-sasl-channel.c:814): Starting authentication
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_sasl_channel_start_mechanism_with_data (server-sasl-channel.c:520): Starting X-TELEPATHY-PASSWORD authentication with 7 bytes of initial data
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_sasl_channel_success_async (server-sasl-channel.c:886): 
(telepathy-gabble:29973): gabble-DEBUG: gabble_server_sasl_channel_accept_sasl (server-sasl-channel.c:656): client has accepted server's success
(telepathy-gabble:29973): gabble-DEBUG: connector_connected (connection.c:1834): connected (jid: d.pashov@gmail.com/79468821)
(telepathy-gabble:29973): gabble-DEBUG: gabble_roster_porter_available_cb (roster.c:1728): adding callbacks
(telepathy-gabble:29973): gabble-DEBUG: connector_connected (connection.c:1897): Created self handle 1, our JID is d.pashov@gmail.com/79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.Vinagre:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.KDE.FileTransfer:
  --begin--
  Feature: http://jabber.org/protocol/si/profile/file-transfer
  Feature: http://google.com/xmpp/protocol/share/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2369): incorporating caps for org.freedesktop.Telepathy.Client.Vino:
  --begin--
  Feature: http://telepathy.freedesktop.org/xmpp/tubes/stream#rfb
  --end--

(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource 79468821 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource 79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:312): new serial 3, old 2, clearing caps
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource 79468821
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_refresh_capabilities (connection.c:2383): nothing to do
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x795a40 for gmail.com
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x7958c0 for d.pashov@gmail.com
(telepathy-gabble:29973): gabble-DEBUG: connection_disco_cb: got:
* query xmlns='http://jabber.org/protocol/disco#info'
    * identity category='server' type='im' name='Google Talk'
    * feature var='http://jabber.org/protocol/disco#info'
    * feature var='google:jingleinfo'
    * feature var='google:roster'
    * feature var='google:nosave'
    * feature var='google:setting'
    * feature var='google:shared-status'
    * feature var='http://jabber.org/protocol/archive#otr'
    * feature var='google:queue'
    * feature var='google:mail:notify'
    * feature var='http://jabber.org/protocol/archive#save'
    * feature var='http://jabber.org/protocol/rosterx'
(telepathy-gabble:29973): gabble-DEBUG: connection_disco_cb (connection.c:2792): set features flags to 419
(telepathy-gabble:29973): gabble-DEBUG: get_shared_status_async (conn-presence.c:994):  
(telepathy-gabble:29973): gabble-DEBUG: get_shared_status_cb (conn-presence.c:937):  
(telepathy-gabble:29973): gabble-DEBUG: store_shared_statuses (conn-presence.c:755): status-min-ver 3
(telepathy-gabble:29973): gabble-DEBUG: get_existing_privacy_lists_cb (conn-presence.c:1031): Error getting privacy lists: the feature requested is not implemented by the recipient or server and therefore cannot be processed
(telepathy-gabble:29973): gabble-DEBUG: set_shared_status (conn-presence.c:388): shared status invisibility is unavailable
(telepathy-gabble:29973): gabble-DEBUG: store_shared_statuses (conn-presence.c:755): status-min-ver 3
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_presence_hash: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_cache_add_own_caps (presence-cache.c:2091): caching our own caps (http://telepathy.freedesktop.org/caps#hbWXsWejkloOTycp+q1koDTJGA0=)
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_base_connection_change_status: was 1, now 0, for reason 1
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_base_connection_change_status: emitting status-changed to 0, for reason 1
(telepathy-gabble:29973): gabble-DEBUG: connection_status_changed_cb (roster.c:1761): requesting roster
(telepathy-gabble:29973): gabble-DEBUG: connection_status_changed_cb (server-tls-manager.c:120): Connection status changed, now 0
(telepathy-gabble:29973): gabble-DEBUG: take_stun_server (jingle-factory.c:239): Resolving fallback STUN server stun.telepathy.im:3478
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_conn_status_changed_cb (disco.c:921): connected, initiating service discovery on gmail.com
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78cc80 for gmail.com
(telepathy-gabble:29973): gabble-DEBUG: gabble_vcard_manager_request (vcard-manager.c:1559): Created request 0xab4410 to retrieve <1>'s vCard
(telepathy-gabble:29973): gabble-DEBUG: request_send (vcard-manager.c:1493): Cache entry 0x78cd00 is my own, not setting @to
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_enqueue (request-pipeline.c:433): enqueued new request as item 0x827610
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_enqueue (request-pipeline.c:434): number of items in flight: 0
(telepathy-gabble:29973): gabble-DEBUG: request_send (vcard-manager.c:1514): adding request to cache entry 0x78cd00 and queueing the <iq>
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_presence_hash: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
(telepathy-gabble:29973): gabble-DEBUG: sidecars_conn_status_changed_cb (conn-sidecars.c:322): connected; requesting sidecars from plugins
(telepathy-gabble:29973): gabble-DEBUG: connection_status_changed (conn-mail-notif.c:592): Connected, registering Google 'new-mail' notification
(telepathy-gabble:29973): gabble-DEBUG: stun_server_resolved_cb (jingle-factory.c:194): Resolved STUN server stun.telepathy.im:3478 to 93.93.128.223:3478
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_go (request-pipeline.c:390): called; 1 pending items, 0 items in flight
(telepathy-gabble:29973): gabble-DEBUG: send_next_request (request-pipeline.c:361): processing request 0x827610
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_vcard_manager_request (vcard-manager.c:1559): Created request 0x7df870 to retrieve <1>'s vCard
(telepathy-gabble:29973): gabble-DEBUG: request_send (vcard-manager.c:1477): adding to cache entry 0x78cd00 with <iq> already pending
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): tp-glib/connection-DEBUG: channel_request_new: New channel request at 0x7df8a0: ctype=org.freedesktop.Telepathy.Channel.Type.ContactList htype=3 handle=4 suppress=0
tp_group_mixin_change_flags: emitting group flags changed
  added    : [PROPERTIES]
  removed  : []
  flags now: [PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [CAN_ADD|CAN_REMOVE]
  removed  : []
  flags now: [CAN_ADD|CAN_REMOVE|PROPERTIES]
(telepathy-gabble:29973): gabble-DEBUG: got_jingle_info_stanza (jingle-factory.c:335): jingle info: got stun server stun.l.google.com, port 19302
(telepathy-gabble:29973): gabble-DEBUG: take_stun_server (jingle-factory.c:239): Resolving primary STUN server stun.l.google.com:19302
(telepathy-gabble:29973): gabble-DEBUG: got_jingle_info_stanza (jingle-factory.c:356): jingle info: got Google relay token CAESGwoSZC5wYXNob3ZAZ21haWwuY29tEJuNoZKqJhoQbbnSoXO1qQGUZ8JDY4lvvg==
(telepathy-gabble:29973): gabble-DEBUG: got_jingle_info_stanza (jingle-factory.c:373): jingle info: got relay server relay.google.com
(telepathy-gabble:29973): gabble-DEBUG: got_jingle_info_stanza (jingle-factory.c:400): jingle info: got relay udp port 19295
(telepathy-gabble:29973): gabble-DEBUG: got_jingle_info_stanza (jingle-factory.c:408): jingle info: got relay tcp port 19294
(telepathy-gabble:29973): gabble-DEBUG: got_jingle_info_stanza (jingle-factory.c:416): jingle info: got relay tcpssl port 443
(telepathy-gabble:29973): gabble-DEBUG: stun_server_resolved_cb (jingle-factory.c:194): Resolved STUN server stun.l.google.com:19302 to 209.85.147.126:19302
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_get_presences: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_get_simple_presence_dbus_property: called.
(telepathy-gabble:29973): gabble-DEBUG: gabble_vcard_manager_request (vcard-manager.c:1559): Created request 0xaa6c60 to retrieve <1>'s vCard
(telepathy-gabble:29973): gabble-DEBUG: request_send (vcard-manager.c:1477): adding to cache entry 0x78cd00 with <iq> already pending
(telepathy-gabble:29973): gabble-DEBUG: gabble_vcard_manager_edit (vcard-manager.c:1602): called; invalidating cache
(telepathy-gabble:29973): gabble-DEBUG: cache_entry_attempt_to_free (vcard-manager.c:462): Not freeing vCard cache entry 0x78cd00: it has a pipeline_item 0x827610
(telepathy-gabble:29973): gabble-DEBUG: gabble_vcard_manager_edit (vcard-manager.c:1604): checking if we have pending requests already
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_simple_presence_set_presence: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: check_for_status: Found status "available", checking if it's available...
(telepathy-gabble:29973): gabble-DEBUG: store_shared_statuses (conn-presence.c:755): status-min-ver 2
(telepathy-gabble:29973): gabble-DEBUG: _gabble_roster_item_update (roster.c:574): name for contact#2 changed to Alin M Elena
(telepathy-gabble:29973): gabble-DEBUG: process_roster (roster.c:1128): jid: alinm.elena@gmail.com, subscription: both, name: Alin M Elena
(telepathy-gabble:29973): gabble-DEBUG: _gabble_roster_item_maybe_remove (roster.c:493): contact#2 is still on the roster
(telepathy-gabble:29973): gabble-DEBUG: _gabble_roster_item_update (roster.c:574): name for contact#5 changed to Alin M Elena
(telepathy-gabble:29973): gabble-DEBUG: process_roster (roster.c:1128): jid: alinm.elena@googlemail.com, subscription: none, name: Alin M Elena
(telepathy-gabble:29973): gabble-DEBUG: _google_roster_item_should_keep (roster.c:410): hiding alinm.elena@googlemail.com: no subscription
(telepathy-gabble:29973): gabble-DEBUG: _gabble_roster_item_maybe_remove (roster.c:493): contact#5 is still on the roster
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_presence_hash: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
tp_group_mixin_change_flags: emitting group flags changed
  added    : [PROPERTIES]
  removed  : []
  flags now: [PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [CAN_ADD|CAN_REMOVE|CAN_RESCIND|MESSAGE_ADD]
  removed  : []
  flags now: [CAN_ADD|CAN_REMOVE|CAN_RESCIND|MESSAGE_ADD|PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [PROPERTIES]
  removed  : []
  flags now: [PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [CAN_ADD|CAN_REMOVE]
  removed  : []
  flags now: [CAN_ADD|CAN_REMOVE|PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [PROPERTIES]
  removed  : []
  flags now: [PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [CAN_ADD|CAN_REMOVE]
  removed  : []
  flags now: [CAN_ADD|CAN_REMOVE|PROPERTIES]
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_set_list_received: Initial contacts: 1 2 3 4 7 8 9 10 11 12 13 14 15 16 17 18 19 20 76 77 78
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_contacts_changed_internal: Contact d.pashov@gmail.com: subscribe=A publish=N ''
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_contacts_changed_internal: Contact alinm.elena@gmail.com: subscribe=Y publish=Y ''
(telepathy-gabble:29973): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
(telepathy-gabble:29973): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [2 (alinm.elena@gmail.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 1
  reason        : 0: unspecified reason
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [2 (alinm.elena@gmail.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 0
  reason        : 0: unspecified reason
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : []
  removed       : []
  local_pending : []
  remote_pending: [1 (d.pashov@gmail.com)]
  actor         : 1
  reason        : 0: unspecified reason
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [1 (d.pashov@gmail.com)
                   2 (alinm.elena@gmail.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 0
  reason        : 0: unspecified reason
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_contacts_changed_internal: ContactsChanged([21 changed], [0 removed])
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_set_list_received: Initially blocked contacts: 1 2 3 4 7 8 9 10 11 12 13 14 15 16 17 18 19 20 76 77 78
(telepathy-gabble:29973): tp-glib/groups-DEBUG: change_members: not emitting signal, nothing changed
(telepathy-gabble:29973): tp-glib/connection-DEBUG: satisfy_request: completing queued request 0x7df8a0 with success, channel_type=org.freedesktop.Telepathy.Channel.Type.ContactList, handle_type=3, handle=4, suppress_handler=0
(telepathy-gabble:29973): tp-glib/connection-DEBUG: channel_request_free: Freeing channel request at 0x7df8a0: ctype=org.freedesktop.Telepathy.Channel.Type.ContactList htype=3 handle=4 suppress=0
tp_group_mixin_change_flags: emitting group flags changed
  added    : [PROPERTIES]
  removed  : []
  flags now: [PROPERTIES]
tp_group_mixin_change_flags: emitting group flags changed
  added    : [CAN_ADD|CAN_REMOVE]
  removed  : []
  flags now: [CAN_ADD|CAN_REMOVE|PROPERTIES]
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_created: GroupsCreated([1 including 'Top Level'])
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_changed: Changing up to 6 contacts, adding 1 groups, removing 0
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_changed: Adding 6 contacts to group 'Top Level'
emit_members_changed_signals: emitting members changed
  message       : ""
  added         : [7 (alin.marin.elena@gmail.com)]
  removed       : []
  local_pending : []
  remote_pending: []
  actor         : 1
  reason        : 0: unspecified reason
(telepathy-gabble:29973): tp-glib/contact-lists-DEBUG: tp_base_contact_list_groups_changed: GroupsChanged([6 contacts], [1 groups], [0 groups])
(telepathy-gabble:29973): gabble-DEBUG: disco_items_cb (disco.c:741): Got error on items request: the feature requested is not implemented by the recipient or server and therefore cannot be processed
(telepathy-gabble:29973): gabble-DEBUG: disco_done_cb (search-manager.c:137): Disco is done; complete pending requests
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_cache_do_update (presence-cache.c:1971): alinm.elena@gmail.com (2) resource 8f01a001 prio 0 presence 7 message "What?                                                                                                                                                                                        
Tea instead of love??                                                                                                                                                                        
You want to darn my socks instead? "
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1111): no change in caps for handle 2
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_presence_hash: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1486): enough trust for URI http://telepathy.freedesktop.org/caps#GwRpxHU57Sh8amCmV67Mb54Nr3Q=, setting caps for 2 (alinm.elena@gmail.com/8f01a001)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource 8f01a001 with serial 1
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource 8f01a001
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:312): new serial 1, old 0, clearing caps
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource 8f01a001
(telepathy-gabble:29973): gabble-DEBUG: client_types_from_message (presence-cache.c:1212): Got type for 2: pc (16)
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 2
  --added--
  Feature: http://www.google.com/xmpp/protocol/session
  Feature: urn:xmpp:jingle:transports:raw-udp:1
  Feature: http://jabber.org/protocol/jingle
  Feature: urn:xmpp:jingle:1
  Feature: http://jabber.org/protocol/chatstates
  Feature: http://jabber.org/protocol/nick
  Feature: http://jabber.org/protocol/nick+notify
  Feature: http://jabber.org/protocol/si
  Feature: http://jabber.org/protocol/ibb
  Feature: http://telepathy.freedesktop.org/xmpp/tubes
  Feature: http://jabber.org/protocol/bytestreams
  Feature: jabber:iq:version
  Feature: http://jabber.org/protocol/si/profile/file-transfer
  Feature: http://google.com/xmpp/protocol/share/v1
  --end--
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_cache_do_update (presence-cache.c:1971): alinm.elena@gmail.com (2) resource androidbcd06e82314b prio 24 presence 5 message "What?                                                                                                                                                                                        
Tea instead of love??                                                                                                                                                                        
You want to darn my socks instead? "
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1111): no change in caps for handle 2
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://www.android.com/gtalk/client/caps#pmuc-v1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0xaf5d20 for handle 2 with serial 2
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://www.android.com/gtalk/client/caps#pmuc-v1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78ce80 for alinm.elena@gmail.com/androidbcd06e82314b
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://www.android.com/gtalk/client/caps#1.1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0xaf5e40 for handle 2 with serial 2
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://www.android.com/gtalk/client/caps#1.1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78cf00 for alinm.elena@gmail.com/androidbcd06e82314b
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1111): no change in caps for handle 2
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_cache_do_update (presence-cache.c:1971): mitko.ol@gmail.com (77) resource gmail.9F366144 prio 0 presence 5 message "<null>"
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1111): no change in caps for handle 77
(telepathy-gabble:29973): tp-glib/presence-DEBUG: tp_presence_mixin_emit_presence_update: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_presence_hash: called.
(telepathy-gabble:29973): tp-glib/presence-DEBUG: construct_simple_presence_hash: called.
(telepathy-gabble:29973): gabble-DEBUG: _parse_node (presence-cache.c:1007): Client is Google Web Client
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource gmail.9F366144 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:312): new serial 3, old 0, clearing caps
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://mail.google.com/xmpp/client/caps#voice-v1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0x7df100 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://mail.google.com/xmpp/client/caps#voice-v1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78d000 for mitko.ol@gmail.com/gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://mail.google.com/xmpp/client/caps#video-v1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0xab4440 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://mail.google.com/xmpp/client/caps#video-v1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78d080 for mitko.ol@gmail.com/gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://mail.google.com/xmpp/client/caps#sms-v1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0xaa6cf0 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://mail.google.com/xmpp/client/caps#sms-v1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78d100 for mitko.ol@gmail.com/gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://mail.google.com/xmpp/client/caps#pmuc-v1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0xafb0a0 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://mail.google.com/xmpp/client/caps#pmuc-v1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78cd40 for mitko.ol@gmail.com/gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1525): not enough trust for URI http://mail.google.com/xmpp/client/caps#1.1
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_new (presence-cache.c:162): created waiter 0xb15a60 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _process_caps_uri (presence-cache.c:1570): only 0 trust out of 5 possible thus far, sending disco for URI http://mail.google.com/xmpp/client/caps#1.1
(telepathy-gabble:29973): gabble-DEBUG: gabble_disco_request_with_timeout (disco.c:509): Creating disco request 0x78cc80 for mitko.ol@gmail.com/gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 77
  --added--
  Quirk:   google-webmail-client
  --end--
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 3's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 4's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 7's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 8's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 9's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 10's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 11's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 12's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 13's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 14's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 15's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 16's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 17's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 18's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 19's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 20's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 76's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: gabble_connection_get_handle_contact_capabilities (connection.c:2987): don't know 78's presence; assuming text chat caps.
(telepathy-gabble:29973): gabble-DEBUG: response_cb (request-pipeline.c:307): got reply for request 0x827610
(telepathy-gabble:29973): gabble-DEBUG: pipeline_reply_cb (vcard-manager.c:1344): called for entry 0x78cd00
(telepathy-gabble:29973): gabble-DEBUG: manager_patch_vcard (vcard-manager.c:1280): patching vcard
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_enqueue (request-pipeline.c:433): enqueued new request as item 0xb15b80
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_enqueue (request-pipeline.c:434): number of items in flight: 0
(telepathy-gabble:29973): gabble-DEBUG: _parse_vcard (conn-contact-info.c:265): unknown vCard node in XML: PHOTO
(telepathy-gabble:29973): gabble-DEBUG: observe_vcard (vcard-manager.c:873): got vCard alias "Dimitar Pashov" for handle 1 from <FN>
(telepathy-gabble:29973): gabble-DEBUG: gabble_conn_aliasing_nickname_updated (conn-aliasing.c:822): ignoring boring alias change for handle 1, signal from 2 but source 6 has alias "d.pashov@gmail.com"
(telepathy-gabble:29973): gabble-DEBUG: delete_request (vcard-manager.c:751): Discarding request 0xaa6c60
(telepathy-gabble:29973): gabble-DEBUG: cache_entry_attempt_to_free (vcard-manager.c:455): Not freeing vCard cache entry 0x78cd00: it has a cached vCard 0xb15d90
(telepathy-gabble:29973): gabble-DEBUG: delete_request (vcard-manager.c:751): Discarding request 0x7df870
(telepathy-gabble:29973): gabble-DEBUG: cache_entry_attempt_to_free (vcard-manager.c:455): Not freeing vCard cache entry 0x78cd00: it has a cached vCard 0xb15d90
(telepathy-gabble:29973): gabble-DEBUG: vcard_get_avatar_sha1 (vcard-manager.c:625): Our vCard has a PHOTO 0xb15e30
(telepathy-gabble:29973): gabble-DEBUG: vcard_get_avatar_sha1 (vcard-manager.c:642): Successfully decoded PHOTO.BINVAL, SHA-1 8ef525d5bbdaff39097ba3220beb3961adcd8a3f
(telepathy-gabble:29973): gabble-DEBUG: delete_request (vcard-manager.c:751): Discarding request 0xab4410
(telepathy-gabble:29973): gabble-DEBUG: cache_entry_attempt_to_free (vcard-manager.c:455): Not freeing vCard cache entry 0x78cd00: it has a cached vCard 0xb15d90
(telepathy-gabble:29973): gabble-DEBUG: delete_item (request-pipeline.c:178): deleting item 0x827610
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_go (request-pipeline.c:390): called; 1 pending items, 0 items in flight
(telepathy-gabble:29973): gabble-DEBUG: send_next_request (request-pipeline.c:361): processing request 0xb15b80
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_go (request-pipeline.c:390): called; 0 pending items, 1 items in flight
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://mail.google.com/xmpp/client/caps#voice-v1 not yet fully trusted to mean:
  --begin--
  Feature: http://www.google.com/xmpp/protocol/voice/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 77 (thanks to 77 mitko.ol@gmail.com/gmail.9F366144)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource gmail.9F366144 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 77
  --added--
  Feature: http://www.google.com/xmpp/protocol/voice/v1
  --end--
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0x7df100 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://mail.google.com/xmpp/client/caps#video-v1 not yet fully trusted to mean:
  --begin--
  Feature: http://www.google.com/xmpp/protocol/video/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 77 (thanks to 77 mitko.ol@gmail.com/gmail.9F366144)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource gmail.9F366144 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 77
  --added--
  Feature: http://www.google.com/xmpp/protocol/video/v1
  --end--
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0xab4440 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://mail.google.com/xmpp/client/caps#sms-v1 not yet fully trusted to mean:
  --begin--
  Feature: http://www.google.com/xmpp/protocol/sms/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 77 (thanks to 77 mitko.ol@gmail.com/gmail.9F366144)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource gmail.9F366144 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 77
  --added--
  Feature: http://www.google.com/xmpp/protocol/sms/v1
  --end--
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0xaa6cf0 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://mail.google.com/xmpp/client/caps#pmuc-v1 not yet fully trusted to mean:
  --begin--
  Feature: http://www.google.com/xmpp/protocol/pmuc/v1
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 77 (thanks to 77 mitko.ol@gmail.com/gmail.9F366144)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource gmail.9F366144 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 77
  --added--
  Feature: http://www.google.com/xmpp/protocol/pmuc/v1
  --end--
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0xafb0a0 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: client_types_from_message (presence-cache.c:1212): Got type for 77: pc (16)
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://mail.google.com/xmpp/client/caps#1.1 not yet fully trusted to mean:
  --begin--
  Feature: http://jabber.org/protocol/disco#info
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 77 (thanks to 77 mitko.ol@gmail.com/gmail.9F366144)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource gmail.9F366144 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource gmail.9F366144
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 77
  --added--
  Feature: http://jabber.org/protocol/disco#info
  --end--
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0xb15a60 for handle 77 with serial 3
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://www.android.com/gtalk/client/caps#pmuc-v1 not yet fully trusted to mean:
  --begin--
  Feature: http://jabber.org/protocol/disco#info
  Feature: http://jabber.org/protocol/disco#items
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 2 (thanks to 2 alinm.elena@gmail.com/androidbcd06e82314b)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource androidbcd06e82314b with serial 2
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource androidbcd06e82314b
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:312): new serial 2, old 0, clearing caps
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource androidbcd06e82314b
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1120): Emitting caps update for handle 2
  --added--
  Feature: http://jabber.org/protocol/disco#info
  Feature: http://jabber.org/protocol/disco#items
  --end--
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0xaf5d20 for handle 2 with serial 2
(telepathy-gabble:29973): gabble-DEBUG: response_cb (request-pipeline.c:307): got reply for request 0xb15b80
(telepathy-gabble:29973): gabble-DEBUG: replace_reply_cb (vcard-manager.c:909): called: some error
(telepathy-gabble:29973): gabble-DEBUG: gabble_vcard_manager_remove_edit_request (vcard-manager.c:1635): request == 0xab4590
(telepathy-gabble:29973): gabble-DEBUG: delete_item (request-pipeline.c:178): deleting item 0xb15b80
(telepathy-gabble:29973): gabble-DEBUG: gabble_request_pipeline_go (request-pipeline.c:390): called; 0 pending items, 0 items in flight
(telepathy-gabble:29973): gabble-DEBUG: _caps_disco_cb (presence-cache.c:1397): http://www.android.com/gtalk/client/caps#1.1 not yet fully trusted to mean:
  --begin--
  Feature: http://jabber.org/protocol/disco#info
  Feature: http://jabber.org/protocol/disco#items
  --end--

(telepathy-gabble:29973): gabble-DEBUG: set_caps_for (presence-cache.c:1153): setting caps for 2 (thanks to 2 alinm.elena@gmail.com/androidbcd06e82314b)
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:296): about to add caps to resource androidbcd06e82314b with serial 2
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:307): found resource androidbcd06e82314b
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_set_capabilities (presence.c:319): updating caps for resource androidbcd06e82314b
(telepathy-gabble:29973): gabble-DEBUG: emit_capabilities_update (presence-cache.c:1111): no change in caps for handle 2
(telepathy-gabble:29973): gabble-DEBUG: disco_waiter_free (presence-cache.c:173): freeing waiter 0xaf5e40 for handle 2 with serial 2
(telepathy-gabble:29973): gabble-DEBUG: flicker_prevention_timeout (roster.c:910): called for 1
(telepathy-gabble:29973): gabble-DEBUG: flicker_prevention_timeout (roster.c:932): subscription=none and ask_subscribe=true, nothing to do
(telepathy-gabble:29973): gabble-DEBUG: gabble_presence_cache_end_unsure_period (presence-cache.c:441): 0x79d210
(telepathy-gabble:29973): tp-glib/connection-DEBUG: channel_request_new: New channel request at 0xab4590: ctype=org.freedesktop.Telepathy.Channel.Type.Text htype=1 handle=2 suppress=0
(telepathy-gabble:29973): gabble-DEBUG: new_im_channel (im-factory.c:372): object path /org/freedesktop/Telepathy/Connection/gabble/jabber/d_2epashov_40gmail_2ecom_2f79468821/ImChannel2
(telepathy-gabble:29973): tp-glib/connection-DEBUG: satisfy_request: completing queued request 0xab4590 with success, channel_type=org.freedesktop.Telepathy.Channel.Type.Text, handle_type=1, handle=2, suppress_handler=0
(telepathy-gabble:29973): tp-glib/connection-DEBUG: channel_request_free: Freeing channel request at 0xab4590: ctype=org.freedesktop.Telepathy.Channel.Type.Text htype=1 handle=2 suppress=0
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): tp-glib/connection-DEBUG: tp_presence_mixin_get_contacts_dbus_property: called.
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(telepathy-gabble:29973): tp-glib/im-DEBUG: tp_message_mixin_acknowledge_pending_messages_async: acknowledging message id 0
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: Parsing part 1, type text/plain, alternative (null)
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... is text/plain
(telepathy-gabble:29973): tp-glib/misc-DEBUG: tp_message_to_text: ... using its text
(telepathy-gabble:29973): tp-glib/im-DEBUG: tp_message_mixin_acknowledge_pending_messages_async: acknowledging message id 1
(telepathy-gabble:29973): gabble-DEBUG: gabble_jingle_session_init (jingle-session.c:191): Initializing the jingle session 0x79d060
(telepathy-gabble:29973): gabble-DEBUG: create_session (jingle-factory.c:889): new session (alinm.elena@gmail.com/8f01a001, 1437640596) @ 0x79d060
(telepathy-gabble:29973): gabble-DEBUG: gabble_jingle_session_parse (jingle-session.c:1600): jingle action 'initiate' from 'alinm.elena@gmail.com/8f01a001' in session '1437640596' dialect 2 state 0
(telepathy-gabble:29973): gabble-DEBUG: _each_content_add (jingle-session.c:879): namespace: http://www.google.com/session/share
(telepathy-gabble:29973): gabble-DEBUG: create_content (jingle-session.c:806): session creating new content name (null), type 0, conn 0x7d00f0, jf 0x7a3220
(telepathy-gabble:29973): gabble-DEBUG: gabble_jingle_content_init (jingle-content.c:115): 0x7a6480
(telepathy-gabble:29973): gabble-DEBUG: gabble_jingle_share_init (jingle-share.c:156): jingle share init called
(telepathy-gabble:29973): gabble-DEBUG: parse_description (jingle-share.c:303): parse description called
(telepathy-gabble:29973): gabble-DEBUG: _gabble_jingle_content_set_media_ready (jingle-content.c:1088): media ready on content: gtalk created_by_us: 0
(telepathy-gabble:29973): gabble-DEBUG: gabble_jingle_content_parse_add (jingle-content.c:606): content creating new transport type GabbleJingleTransportGoogle
(telepathy-gabble:29973): gabble-DEBUG: parse_candidates (jingle-transport-google.c:379): emitting 0 new remote candidates
(telepathy-gabble:29973): gabble-DEBUG: create_content (jingle-session.c:845): inserting content gtalk into initiator_contents
(telepathy-gabble:29973): gabble-DEBUG: set_state (jingle-session.c:2014): Setting state of JingleSession: 0x79d060 (priv = 0x79d090) from 0 to 2
(telepathy-gabble:29973): gabble-DEBUG: gabble_jingle_session_send_rtp_info (jingle-session.c:2309): Not sending <ringing/>; not using modern Jingle
(telepathy-gabble:29973): gabble-DEBUG: gtalk_file_collection_init (gtalk-file-collection.c:214): GTalk file collection init called
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x79d060:notify::state with context 0x82c260
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x79d060:terminated with context 0x7c7420
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7a6480:new-share-channel with context 0xab8600
(telepathy-gabble:29973): gabble-DEBUG: gabble_signal_connect_weak (util.c:966): connecting to 0x7a6480:completed with context 0xab55a0
**
gabble:ERROR:ft-channel.c:366:gabble_file_transfer_channel_set_property: assertion failed: (g_value_get_uint (value) == 0 || g_value_get_uint (value) == TP_HANDLE_TYPE_CONTACT)
Aborted
Comment 4 Daniele E. Domenichelli 2011-09-26 02:28:01 UTC
User reported that the bug is fixed updating gabble from 0.12.6 to 0.13.5


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.